> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Retrieve a unified list of chronological invoices, aggregating both one-time product orders and recurring subscription invoices.



## OpenAPI

````yaml /api-reference/blink-api.json get /invoices
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /invoices:
    get:
      tags:
        - Invoices
      summary: List Invoices
      description: >-
        Retrieve a unified list of chronological invoices, aggregating both
        one-time product orders and recurring subscription invoices.
      operationId: listInvoices
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
          description: Number of records to return
        - name: type
          in: query
          schema:
            type: string
            enum:
              - product
              - subscription
          description: Filter by product or subscription invoices
        - name: status
          in: query
          schema:
            type: string
          description: Filter by invoice status (e.g. paid, open)
      responses:
        '200':
          description: A list of unified invoices
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        invoice_number:
                          type: string
                        type:
                          type: string
                        customer_id:
                          type: string
                        status:
                          type: string
                        total_amount:
                          type: integer
                          description: Amount in cents
                        tax_amount:
                          type: integer
                          description: Amount in cents
                        net_amount:
                          type: integer
                          description: Amount in cents
                        currency:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        pdf_url:
                          type: string
                        hosted_invoice_url:
                          type: string
components:
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````